Everstack
API ReferenceSandboxGet Sandbox Template

Get Sandbox Template

GET/v1/sandbox/templates/{templateId}
GET/v1/sandbox/templates/{'{templateId}'}

Your instance endpoint, shown on the instance page in the dashboard. Each instance has its own host; there is no shared API host.

Parameters

NameInTypeRequiredDescription
templateIdpathstringYesID or slug

Responses

200 Get a sandbox template by ID or slug

PropertyTypeDescription
templateobject

default An unexpected error response.

PropertyTypeDescription
codeinteger
messagestring
detailsobject[]

Request

curl -X GET "https://{instance}.{region}.everstack.ai/v1/sandbox/templates/{templateId}" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json"
const response = await fetch("https://{instance}.{region}.everstack.ai/v1/sandbox/templates/{templateId}", {
  method: "GET",
  headers: {
    "Authorization": "Bearer YOUR_API_KEY",
    "Content-Type": "application/json",
  },
});
const data = await response.json();
import requests

response = requests.get(
    "https://{instance}.{region}.everstack.ai/v1/sandbox/templates/{templateId}",
    headers={
        "Authorization": "Bearer YOUR_API_KEY",
        "Content-Type": "application/json",
    },
)
data = response.json()

Response

{
  "template": {
    "id": "string",
    "name": "string",
    "slug": "string",
    "description": "string",
    "icon": "string",
    "iconColor": "string",
    "image": "string",
    "cpuLimit": 0,
    "memoryMb": "string",
    "diskMb": "string",
    "timeoutSeconds": 0,
    "networkMode": "string",
    "workDir": "string",
    "tags": [
      "string"
    ]
  }
}
{
  "code": 0,
  "message": "string",
  "details": [
    {
      "@type": "string"
    }
  ]
}